POST api/rewards/issue
Issue a specific reward.
Request Information
URI Parameters
Query String: overrideIneligible={overrideIneligible}
| Name | Description | Type | Additional information |
|---|---|---|---|
| overrideIneligible |
Allows you to override eligiblity date rules. Issue rewards with eligibility dates in the future. Optional. |
boolean |
Default value is False |
Body Parameters
Data needed for issuing a reward. Required.
Type: IssueRewardInfo
| Name | Description | Type | Additional information |
|---|---|---|---|
| rewardId |
The unique ID of the reward to issue. |
string |
Required |
| recipientInfo |
(deprecated) Additional info about the reward to issue. In most cases, this can be left blank. For PayPal, include the email address of the recipient. Optional. |
string |
None. |
| note |
A message to be sent to the recipient of the reward. Optional. |
string |
None. |
Request Formats
application/json, text/json
{
"rewardId": "sample string 1",
"recipientInfo": "sample string 2",
"note": "sample string 3"
}
application/xml, text/xml
<issueReward xmlns:i="http://www.w3.org/2001/XMLSchema-instance"> <note>sample string 3</note> <recipientInfo>sample string 2</recipientInfo> <rewardId>sample string 1</rewardId> </issueReward>
Response Information
Resource Description
[HTTP Status 200 - OK]
Type: IssueRewardResult
| Name | Description | Type | Additional information |
|---|---|---|---|
| reward |
The reward, after the attempt to issue it has been received. |
Reward |
None. |
| resultInfo |
Details about the results of the request. |
ResultInfo |
None. |
Response Formats
application/json, text/json
{
"reward": {
"id": "9c1e58e6-2956-47df-9bdd-029972f3c65f",
"payoutId": "fde783e4-049a-4b71-afc6-f94ca64c6fc4",
"payoutDescription": "sample string 3",
"programId": "3bc2b602-cdfe-4806-8ae8-02533e59cdf2",
"programName": "sample string 5",
"memberId": "904eac17-210a-44af-a8cd-0e3bc5bcca89",
"referralId": "5b87b0a9-3ec1-48b4-8954-843d827b0050",
"type": "sample string 6",
"recipientId": "628a7567-49dc-499a-b8f4-738fbe27d7f9",
"recipientName": "sample string 7",
"recipientEmailAddress": "sample string 8",
"recipientExternalIdentifier": "sample string 9",
"externalIdentifier": "sample string 10",
"status": "sample string 11",
"amount": 12.0,
"createDate": "2026-10-20T14:52:49.0818275Z",
"issueDate": "2026-10-20T14:52:49.0818275Z",
"eligibilityDate": "2026-10-20T14:52:49.0818275Z",
"description": "sample string 15",
"transactionID": "7ad4ec86-dd24-48db-966a-7247d255ed91",
"updateDate": "2026-10-20T14:52:49.0818275Z",
"referralDisplayName": "sample string 17",
"currencyCode": "sample string 18",
"source": "sample string 19",
"programRewardRuleId": "25f8bbb5-e924-4f38-8d4e-947dccefad98",
"paymentType": "sample string 20",
"paymentCode": "sample string 21",
"completeNote": "sample string 22",
"reason": "sample string 23",
"reasonOther": "sample string 24"
},
"resultInfo": {
"Status": "sample string 1",
"Message": "sample string 2"
}
}
application/xml, text/xml
<issueRewardResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
<resultInfo xmlns:d2p1="http://schemas.datacontract.org/2004/07/ReferralRock.Api.Models.Response">
<d2p1:Message>sample string 2</d2p1:Message>
<d2p1:Status>sample string 1</d2p1:Status>
</resultInfo>
<reward>
<id>9c1e58e6-2956-47df-9bdd-029972f3c65f</id>
<payoutId>fde783e4-049a-4b71-afc6-f94ca64c6fc4</payoutId>
<payoutDescription>sample string 3</payoutDescription>
<programId>3bc2b602-cdfe-4806-8ae8-02533e59cdf2</programId>
<programName>sample string 5</programName>
<memberId>904eac17-210a-44af-a8cd-0e3bc5bcca89</memberId>
<referralId>5b87b0a9-3ec1-48b4-8954-843d827b0050</referralId>
<type>sample string 6</type>
<recipientId>628a7567-49dc-499a-b8f4-738fbe27d7f9</recipientId>
<recipientName>sample string 7</recipientName>
<recipientEmailAddress>sample string 8</recipientEmailAddress>
<recipientExternalIdentifier>sample string 9</recipientExternalIdentifier>
<externalIdentifier>sample string 10</externalIdentifier>
<status>sample string 11</status>
<amount>12</amount>
<createDate>2026-10-20T14:52:49.0818275+00:00</createDate>
<issueDate>2026-10-20T14:52:49.0818275+00:00</issueDate>
<eligibilityDate>2026-10-20T14:52:49.0818275+00:00</eligibilityDate>
<description>sample string 15</description>
<transactionID>7ad4ec86-dd24-48db-966a-7247d255ed91</transactionID>
<updateDate>2026-10-20T14:52:49.0818275+00:00</updateDate>
<referralDisplayName>sample string 17</referralDisplayName>
<currencyCode>sample string 18</currencyCode>
<source>sample string 19</source>
<programRewardRuleId>25f8bbb5-e924-4f38-8d4e-947dccefad98</programRewardRuleId>
<paymentType>sample string 20</paymentType>
<paymentCode>sample string 21</paymentCode>
<completeNote>sample string 22</completeNote>
<reason>sample string 23</reason>
<reasonOther>sample string 24</reasonOther>
</reward>
</issueRewardResult>